Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81815 - hang when remove flash memory pcmcia card
Summary: hang when remove flash memory pcmcia card
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-14 05:11 UTC by Scott Otterson
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:24 UTC


Attachments (Terms of Use)

Description Scott Otterson 2003-01-14 05:11:17 UTC
Description of problem:
When I remove a flash memory card from my laptop's pcmcia slot, Linux hangs.

Version-Release number of selected component (if applicable):
kernel = 2.4.18-19.8.0

How reproducible:
frequently but not always

Steps to Reproduce:
1.insert flashcard, mount and do some stuff, like ls and cp
2.remove flashcard (I haven't noticed a pattern of crashing or not if I unmount
it first).
3. everything freezes.   keyboard is inactive, mouse doesn't work...

Comment 1 James McDermott 2003-02-07 22:56:52 UTC
Dont know if this helps, but I have this same problem on my laptop. However, an
easy workaround is to do a "cardctl ident" which tells me which slot the flash
card is in, then "cardctl eject <slotnum>". Of course if you dont have anything
in your other slot just a plain "cardctl eject" works fine. This prevents my
freeze ups and I switch out my card fairly regularly.

Comment 2 Bugzilla owner 2004-09-30 15:40:24 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.